org.apache.catalina.core

## Class ApplicationServletRegistration

- java.lang.Object
- - org.apache.catalina.core.ApplicationServletRegistration

- All Implemented Interfaces:
    Registration, Registration.Dynamic, ServletRegistration, ServletRegistration.Dynamic

      public class ApplicationServletRegistration
      extends Object
      implements ServletRegistration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration

      `ServletRegistration.Dynamic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationServletRegistration(Wrapper wrapper, Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `addMapping(String... urlPatterns)` Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.
    `String` | `getClassName()`
    `String` | `getInitParameter(String name)` Get the value of an initialisation parameter.
    `Map<String,String>` | `getInitParameters()` Get the names and values of all the initialisation parameters.
    `Collection<String>` | `getMappings()` Gets the currently available mappings of the Servlet represented by this ServletRegistration.
    `String` | `getName()`
    `String` | `getRunAsRole()`
    `void` | `setAsyncSupported(boolean asyncSupported)` Mark this Servlet/Filter as supported asynchronous processing.
    `boolean` | `setInitParameter(String name, String value)` Add an initialisation parameter if not already added.
    `Set<String>` | `setInitParameters(Map<String,String> initParameters)` Add multiple initialisation parameters.
    `void` | `setLoadOnStartup(int loadOnStartup)`
    `void` | `setMultipartConfig(MultipartConfigElement multipartConfig)`
    `void` | `setRunAsRole(String roleName)`
    `Set<String>` | `setServletSecurity(ServletSecurityElement constraint)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationServletRegistration

          public ApplicationServletRegistration(Wrapper wrapper,
                                        Context context)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Specified by:
        `getClassName` in interface `Registration`

    - #### getInitParameter

          public String getInitParameter(String name)

      Description copied from interface: `javax.servlet.Registration`
      Get the value of an initialisation parameter.
      Specified by:
        `getInitParameter` in interface `Registration`
      Parameters:
        `name` - The initialisation parameter whose value is required
      Returns:
        The value of the named initialisation parameter

    - #### getInitParameters

          public Map<String,String> getInitParameters()

      Description copied from interface: `javax.servlet.Registration`
      Get the names and values of all the initialisation parameters.
      Specified by:
        `getInitParameters` in interface `Registration`
      Returns:
        A Map of initialisation parameter names and associated values keyed by name

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Registration`

    - #### setInitParameter

          public boolean setInitParameter(String name,
                                 String value)

      Description copied from interface: `javax.servlet.Registration`
      Add an initialisation parameter if not already added.
      Specified by:
        `setInitParameter` in interface `Registration`
      Parameters:
        `name` - Name of initialisation parameter
        `value` - Value of initialisation parameter
      Returns:
        `true` if the initialisation parameter was set, `false` if the initialisation parameter was not set because an initialisation parameter of the same name already existed

    - #### setInitParameters

          public Set<String> setInitParameters(Map<String,String> initParameters)

      Description copied from interface: `javax.servlet.Registration`
      Add multiple initialisation parameters. If any of the supplied initialisation parameter conflicts with an existing initialisation parameter, no updates will be performed.
      Specified by:
        `setInitParameters` in interface `Registration`
      Parameters:
        `initParameters` - The initialisation parameters to add
      Returns:
        The set of initialisation parameter names that conflicted with existing initialisation parameter. If there are no conflicts, this Set will be empty.

    - #### setAsyncSupported

          public void setAsyncSupported(boolean asyncSupported)

      Description copied from interface: `javax.servlet.Registration.Dynamic`
      Mark this Servlet/Filter as supported asynchronous processing.
      Specified by:
        `setAsyncSupported` in interface `Registration.Dynamic`
      Parameters:
        `asyncSupported` - Should this Servlet/Filter support asynchronous processing

    - #### setLoadOnStartup

          public void setLoadOnStartup(int loadOnStartup)

      Specified by:
        `setLoadOnStartup` in interface `ServletRegistration.Dynamic`

    - #### setMultipartConfig

          public void setMultipartConfig(MultipartConfigElement multipartConfig)

      Specified by:
        `setMultipartConfig` in interface `ServletRegistration.Dynamic`

    - #### setRunAsRole

          public void setRunAsRole(String roleName)

      Specified by:
        `setRunAsRole` in interface `ServletRegistration.Dynamic`

    - #### setServletSecurity

          public Set<String> setServletSecurity(ServletSecurityElement constraint)

      Specified by:
        `setServletSecurity` in interface `ServletRegistration.Dynamic`

    - #### addMapping

          public Set<String> addMapping(String... urlPatterns)

      Description copied from interface: `javax.servlet.ServletRegistration`
      Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration. If any of the specified URL patterns are already mapped to a different Servlet, no updates will be performed. If this method is called multiple times, each successive call adds to the effects of the former. The returned set is not backed by the ServletRegistration object, so changes in the returned set are not reflected in the ServletRegistration object, and vice-versa.
      Specified by:
        `addMapping` in interface `ServletRegistration`
      Parameters:
        `urlPatterns` - The URL patterns that this Servlet should be mapped to
      Returns:
        the (possibly empty) Set of URL patterns that are already mapped to a different Servlet

    - #### getMappings

          public Collection<String> getMappings()

      Description copied from interface: `javax.servlet.ServletRegistration`
      Gets the currently available mappings of the Servlet represented by this ServletRegistration. If permitted, any changes to the returned Collection must not affect this ServletRegistration.
      Specified by:
        `getMappings` in interface `ServletRegistration`
      Returns:
        a (possibly empty) Collection of the currently available mappings of the Servlet represented by this ServletRegistration

    - #### getRunAsRole

          public String getRunAsRole()

      Specified by:
        `getRunAsRole` in interface `ServletRegistration`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.